#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>
#include <unistd.h>

#include <opencbm.h>

const unsigned int BUFSIZE=16;

int main(int argc, char **argv)
{
    unsigned char devnr;
    CBM_FILE cbm;
    char buffer[BUFSIZE];
    ssize_t numbytes;
    ssize_t totalbytes=0;

    if(argc != 2)
        return 1;

    devnr=atoi(argv[1]);

    setbuf(stdout, NULL);

    cbm_driver_open(&cbm,0);
    cbm_lock(cbm);
    cbm_listen(cbm, devnr, 0);
    while((numbytes=read(0, buffer, BUFSIZE)) > 0)
    {
        totalbytes+=numbytes;
        cbm_raw_write(cbm, buffer, numbytes);
        printf("Wrote %6ld bytes\r", totalbytes);
    }

    printf("\r\n");
    cbm_unlisten(cbm);
    cbm_unlock(cbm);
    cbm_driver_close(cbm);


}
